Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 20 Jul 2002 12:51:51 -0700 (PDT)
From:      Peter Wemm <peter@FreeBSD.org>
To:        Perforce Change Reviews <perforce@freebsd.org>
Subject:   PERFORCE change 14541 for review
Message-ID:  <200207201951.g6KJppYJ000275@freefall.freebsd.org>

next in thread | raw e-mail | index | archive | help
http://people.freebsd.org/~peter/p4db/chv.cgi?CH=14541

Change 14541 by peter@peter_daintree on 2002/07/20 12:51:34

	IFC @14540

Affected files ...

.. //depot/projects/ia64/Makefile#12 integrate
.. //depot/projects/ia64/bin/sh/sh.1#11 integrate
.. //depot/projects/ia64/etc/isdn/Makefile#3 integrate
.. //depot/projects/ia64/etc/rc.d/serial#2 integrate
.. //depot/projects/ia64/lib/libc_r/arch/ia64/_atomic_lock.S#2 integrate
.. //depot/projects/ia64/lib/libstand/Makefile#10 integrate
.. //depot/projects/ia64/lib/libstand/stand.h#9 integrate
.. //depot/projects/ia64/lib/libstand/zalloc_defs.h#3 integrate
.. //depot/projects/ia64/lib/libstand/zalloc_malloc.c#3 integrate
.. //depot/projects/ia64/lib/libstand/zutil.h.diff#1 branch
.. //depot/projects/ia64/sbin/Makefile#17 integrate
.. //depot/projects/ia64/sbin/gpt/Makefile#3 integrate
.. //depot/projects/ia64/sbin/gpt/destroy.c#2 integrate
.. //depot/projects/ia64/sbin/gpt/gpt.c#9 integrate
.. //depot/projects/ia64/sbin/gpt/gpt.h#6 integrate
.. //depot/projects/ia64/sbin/gpt/map.c#5 integrate
.. //depot/projects/ia64/sbin/gpt/map.h#3 integrate
.. //depot/projects/ia64/sbin/gpt/migrate.c#3 integrate
.. //depot/projects/ia64/sbin/gpt/mkdisk.sh#3 integrate
.. //depot/projects/ia64/sbin/gpt/recover.c#2 integrate
.. //depot/projects/ia64/sbin/gpt/show.c#2 integrate
.. //depot/projects/ia64/sbin/mca/Makefile#2 integrate
.. //depot/projects/ia64/sbin/mca/mca.c#6 integrate
.. //depot/projects/ia64/share/man/man4/syscons.4#3 integrate
.. //depot/projects/ia64/sys/boot/efi/Makefile.inc#8 integrate
.. //depot/projects/ia64/sys/boot/efi/libefi/efinet.c#5 integrate
.. //depot/projects/ia64/sys/boot/efi/loader/conf.c#5 integrate
.. //depot/projects/ia64/sys/boot/efi/loader/main.c#4 integrate
.. //depot/projects/ia64/sys/conf/files.sparc64#16 integrate
.. //depot/projects/ia64/sys/ia64/ia64/nexus.c#4 integrate
.. //depot/projects/ia64/sys/pccard/pccard.c#8 integrate
.. //depot/projects/ia64/sys/ufs/ffs/ffs_softdep_stub.c#6 integrate
.. //depot/projects/ia64/sys/vm/vm_contig.c#6 integrate
.. //depot/projects/ia64/sys/vm/vm_fault.c#15 integrate
.. //depot/projects/ia64/sys/vm/vm_page.c#14 integrate
.. //depot/projects/ia64/sys/vm/vm_page.h#9 integrate
.. //depot/projects/ia64/sys/vm/vm_pageout.c#11 integrate
.. //depot/projects/ia64/sys/vm/vm_pageq.c#6 integrate

Differences ...

==== //depot/projects/ia64/Makefile#12 (text+ko) ====

@@ -1,5 +1,5 @@
 #
-# $FreeBSD: src/Makefile,v 1.261 2002/06/24 20:13:09 dillon Exp $
+# $FreeBSD: src/Makefile,v 1.263 2002/07/20 10:01:00 ru Exp $
 #
 # The user-driven targets are:
 #
@@ -174,20 +174,26 @@
 #
 upgrade_checks:
 	@cd ${.CURDIR}; \
-		if ! make -m ${.CURDIR}/share/mk test > /dev/null 2>&1; then \
-			make make; \
-		fi
+	if ! make -m ${.CURDIR}/share/mk -Dnotdef test >/dev/null 2>&1; then \
+		make make; \
+	fi
 	@cd ${.CURDIR}; \
-		if make -V .CURDIR:C/.// 2>&1 >/dev/null | \
-		    grep -q "Unknown modifier 'C'"; then \
-			make make; \
-		fi
+	if make -V .CURDIR:C/.// 2>&1 >/dev/null | \
+	    grep -q "Unknown modifier 'C'"; then \
+		make make; \
+	fi
 
 #
 # A simple test target used as part of the test to see if make supports
-# the -m argument.
+# the -m argument.  Also test that make will only evaluate a conditional
+# as far as is necessary to determine its value.
 #
 test:
+.if defined(notdef)
+.undef notdef
+.if defined(notdef) && ${notdef:U}
+.endif
+.endif
 
 #
 # Upgrade the installed make to the current version using the installed

==== //depot/projects/ia64/bin/sh/sh.1#11 (text+ko) ====

@@ -33,7 +33,7 @@
 .\" SUCH DAMAGE.
 .\"
 .\"	from: @(#)sh.1	8.6 (Berkeley) 5/4/95
-.\" $FreeBSD: src/bin/sh/sh.1,v 1.71 2002/07/02 19:06:33 dillon Exp $
+.\" $FreeBSD: src/bin/sh/sh.1,v 1.72 2002/07/20 04:39:23 tjr Exp $
 .\"
 .Dd May 5, 1995
 .Dt SH 1
@@ -1332,7 +1332,11 @@
 A synonym for the
 .Ic cd
 builtin command.
-.It Ic echo Oo Fl en Oc Ar string
+.It Xo
+.Ic echo
+.Op Fl e | Fl n
+.Op Ar string
+.Xc
 Print
 .Ar string
 to the standard output with a newline appended.
@@ -1386,6 +1390,12 @@
 a\eb
 .Ed
 .El
+.Pp
+Only one of the
+.Fl e
+and
+.Fl n
+options may be specified.
 .It Ic eval Ar string ...
 Concatenate all the arguments with spaces.
 Then re-parse and execute the command.

==== //depot/projects/ia64/etc/isdn/Makefile#3 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/etc/isdn/Makefile,v 1.6 2002/07/18 12:07:44 ru Exp $
+# $FreeBSD: src/etc/isdn/Makefile,v 1.7 2002/07/20 10:56:00 ru Exp $
 
 I4BETCPROG=	answer			\
 		isdntel.sh		\
@@ -24,3 +24,5 @@
 		  ${INSTALL} ${COPY} -o root -g wheel -m 600 $$i ${DESTDIR}/etc/isdn ; \
 		done
 
+# Suck in the ${COPY} definition.
+.include <bsd.own.mk>

==== //depot/projects/ia64/etc/rc.d/serial#2 (text+ko) ====

@@ -24,7 +24,8 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD: src/etc/rc.d/serial,v 1.1 2002/06/13 22:14:36 gordon Exp $
+# $FreeBSD: src/etc/rc.d/serial,v 1.2 2002/07/20 04:31:33 gordon Exp $
+#     From: src/etc/rc.serial,v 1.16 2002/04/23 08:26:50 sobomax Exp $
 #
 
 # PROVIDE: serial
@@ -33,118 +34,113 @@
 
 # Change some defaults for serial devices.
 # Standard defaults are:
-#       dtrwait 300 drainwait 0
-#       initial cflag from <sys/ttydefaults.h> = cread cs8 hupcl
-#       initial iflag, lflag and oflag all 0
-#       speed 9600
-#       special chars from <sys/ttydefaults.h>
-#       nothing locked
+#	dtrwait 300 drainwait 0
+#	initial cflag from <sys/ttydefaults.h> = cread cs8 hupcl
+#	initial iflag, lflag and oflag all 0
+#	speed 9600
+#	special chars from <sys/ttydefaults.h>
+#	nothing locked
 # except for serial consoles the initial iflag, lflag and oflag are from
 # <sys/ttydefaults.h> and clocal is locked on.
 
-default()
-{
-        # Reset everything changed by the other functions to initial defaults.
+default() {
+	# Reset everything changed by the other functions to initial defaults.
 
-        ci=$1; shift    # call in device identifier
-        co=$1; shift    # call out device identifier
+	ci=$1; shift	# call in device identifier
+	co=$1; shift	# call out device identifier
 
-        for i in $*
-        do
-                comcontrol /dev/tty${ci}${i} dtrwait 300 drainwait 300
-                stty < /dev/ttyi${ci}${i} -clocal crtscts hupcl 9600 reprint ^R
-                stty < /dev/ttyl${ci}${i} -clocal -crtscts -hupcl 0
-                stty < /dev/cuai${co}${i} -clocal crtscts hupcl 9600 reprint ^R
-                stty < /dev/cual${co}${i} -clocal -crtscts -hupcl 0
-        done
+	for i in $*
+	do
+		comcontrol /dev/tty${ci}${i} dtrwait 300 drainwait 300
+		stty < /dev/ttyi${ci}${i} -clocal crtscts hupcl 9600 reprint ^R
+		stty < /dev/ttyl${ci}${i} -clocal -crtscts -hupcl 0
+		stty < /dev/cuai${co}${i} -clocal crtscts hupcl 9600 reprint ^R
+		stty < /dev/cual${co}${i} -clocal -crtscts -hupcl 0
+	done
 }
 
-maybe()
-{
-        # Special settings.
+maybe() {
+	# Special settings.
 
-        ci=$1; shift
-        co=$1; shift
+	ci=$1; shift
+	co=$1; shift
 
-        for i in $*
-        do
-                # Don't use ^R; it breaks bash's ^R when typed ahead.
-                stty < /dev/ttyi${ci}${i} reprint undef
-                stty < /dev/cuai${co}${i} reprint undef
-                # Lock clocal off on dialin device for security.
-                stty < /dev/ttyl${ci}${i} clocal
-                # Lock the speeds to use old binaries that don't support them.
-                # Any legal speed works to lock the initial speed.
-                stty < /dev/ttyl${ci}${i} 300
-                stty < /dev/cual${co}${i} 300
-        done
+	for i in $*
+	do
+		# Don't use ^R; it breaks bash's ^R when typed ahead.
+		stty < /dev/ttyi${ci}${i} reprint undef
+		stty < /dev/cuai${co}${i} reprint undef
+		# Lock clocal off on dialin device for security.
+		stty < /dev/ttyl${ci}${i} clocal
+		# Lock the speeds to use old binaries that don't support them.
+		# Any legal speed works to lock the initial speed.
+		stty < /dev/ttyl${ci}${i} 300
+		stty < /dev/cual${co}${i} 300
+	done
 }
 
-modem()
-{
-        # Modem that supports CTS and perhaps RTS handshaking.
+modem() {
+	# Modem that supports CTS and perhaps RTS handshaking.
 
-        ci=$1; shift
-        co=$1; shift
+	ci=$1; shift
+	co=$1; shift
 
-        for i in $*
-        do
-                # may depend on modem
-                comcontrol /dev/tty${ci}${i} dtrwait 100 drainwait 180
-                # Lock crtscts on.
-                # Speed reasonable for V42bis.
-                stty < /dev/ttyi${ci}${i} crtscts 57600
-                stty < /dev/ttyl${ci}${i} crtscts
-                stty < /dev/cuai${co}${i} crtscts 57600
-                stty < /dev/cual${co}${i} crtscts
-        done
+	for i in $*
+	do
+		# may depend on modem
+		comcontrol /dev/tty${ci}${i} dtrwait 100 drainwait 180
+		# Lock crtscts on.
+		# Speed reasonable for V42bis.
+		stty < /dev/ttyi${ci}${i} crtscts 57600
+		stty < /dev/ttyl${ci}${i} crtscts
+		stty < /dev/cuai${co}${i} crtscts 57600
+		stty < /dev/cual${co}${i} crtscts
+	done
 }
 
-mouse()
-{
-        # Mouse on either callin or callout port.
+mouse() {
+	# Mouse on either callin or callout port.
 
-        ci=$1; shift
-        co=$1; shift
+	ci=$1; shift
+	co=$1; shift
 
-        for i in $*
-        do
-                # Lock clocal on, hupcl off.
-                # Standard speed for Microsoft mouse.
-                stty < /dev/ttyi${ci}${i} clocal -hupcl 1200
-                stty < /dev/ttyl${ci}${i} clocal  hupcl
-                stty < /dev/cuai${co}${i} clocal -hupcl 1200
-                stty < /dev/cual${co}${i} clocal  hupcl
-        done
+	for i in $*
+	do
+		# Lock clocal on, hupcl off.
+		# Standard speed for Microsoft mouse.
+		stty < /dev/ttyi${ci}${i} clocal -hupcl 1200
+		stty < /dev/ttyl${ci}${i} clocal  hupcl
+		stty < /dev/cuai${co}${i} clocal -hupcl 1200
+		stty < /dev/cual${co}${i} clocal  hupcl
+	done
 }
 
-terminal()
-{
-        # Terminal that supports CTS and perhaps RTS handshaking
-        # with the cable or terminal arranged so that DCD is on
-        # at least while the terminal is on.
-        # Also works for bidirectional communications to another pc
-        # provided at most one side runs getty.
-        # Same as modem() except we want a faster speed and no dtrwait.
+terminal() {
+	# Terminal that supports CTS and perhaps RTS handshaking
+	# with the cable or terminal arranged so that DCD is on
+	# at least while the terminal is on.
+	# Also works for bidirectional communications to another pc
+	# provided at most one side runs getty.
+	# Same as modem() except we want a faster speed and no dtrwait.
 
-        ci=$1; shift
-        co=$1; shift
+	ci=$1; shift
+	co=$1; shift
 
-        modem ${ci} ${co} $*
-        for i in $*
-        do
-                comcontrol /dev/tty${ci}${i} dtrwait 0
-                stty < /dev/ttyi${ci}${i} 115200
-                stty < /dev/cuai${co}${i} 115200
-        done
+	modem ${ci} ${co} $*
+	for i in $*
+	do
+		comcontrol /dev/tty${ci}${i} dtrwait 0
+		stty < /dev/ttyi${ci}${i} 115200
+		stty < /dev/cuai${co}${i} 115200
+	done
 }
 
 # Don't use anything from this file unless you have some buggy programs
 # that require it.
 
 # Edit the functions and the examples to suit your system.
-# $1 is the call in device identifier, $2 is the call out device
-# identifier and the remainder of the line lists the device numbers.
+# $1 is the call in device identifier, $2 is the call out device identifier
+# and the remainder of the line lists the device numbers.
 
 # Initialize assorted 8250-16550 (sio) ports.
 # maybe    d a  0 1 2 3 4 5 6 7 8 9 a b c d e f g h i j k l m n o p q r s t u v
@@ -156,7 +152,7 @@
 # modem    c c  00 01 02 03 04 05 06 07
 
 # Initialize all ports on a Cyclades-16ye.
-# modem    c c  00 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d 0e 0f
+# modem    c c  00 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d 0e 0f 
 
 # Initialize all ports on a Digiboard 8.
 # modem    D D  00 01 02 03 04 05 06 07

==== //depot/projects/ia64/lib/libc_r/arch/ia64/_atomic_lock.S#2 (text+ko) ====

@@ -23,12 +23,12 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD$
+ * $FreeBSD: src/lib/libc_r/arch/ia64/_atomic_lock.S,v 1.1 2002/07/20 19:22:10 peter Exp $
  */
 
 #if defined(LIBC_RCS) && !defined(lint)
 	.text
-	.asciz "$FreeBSD$"
+	.asciz "$FreeBSD: src/lib/libc_r/arch/ia64/_atomic_lock.S,v 1.1 2002/07/20 19:22:10 peter Exp $"
 #endif /* LIBC_RCS and not lint */
 
 #include <machine/asm.h>

==== //depot/projects/ia64/lib/libstand/Makefile#10 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/lib/libstand/Makefile,v 1.35 2002/05/12 16:00:54 ru Exp $
+# $FreeBSD: src/lib/libstand/Makefile,v 1.36 2002/07/20 04:18:20 peter Exp $
 # Originally from	$NetBSD: Makefile,v 1.21 1997/10/26 22:08:38 lukem Exp $
 #
 # Notes:

==== //depot/projects/ia64/lib/libstand/stand.h#9 (text+ko) ====

@@ -23,7 +23,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * $FreeBSD: src/lib/libstand/stand.h,v 1.32 2002/06/03 19:04:10 sobomax Exp $
+ * $FreeBSD: src/lib/libstand/stand.h,v 1.34 2002/07/20 04:18:20 peter Exp $
  * From	$NetBSD: stand.h,v 1.22 1997/06/26 19:17:40 drochner Exp $	
  */
 
@@ -391,10 +391,10 @@
 #define	ntohs(x)	__ntohs(x)
 #endif
 
-void *Malloc(size_t, char *, int);
-void *Calloc(size_t, size_t, char *, int);
-void *Realloc(void *, size_t, char *, int);
-void Free(void *, char *, int);
+void *Malloc(size_t, const char *, int);
+void *Calloc(size_t, size_t, const char *, int);
+void *Realloc(void *, size_t, const char *, int);
+void Free(void *, const char *, int);
 
 #if 1
 #define malloc(x)	Malloc(x, __FILE__, __LINE__)

==== //depot/projects/ia64/lib/libstand/zalloc_defs.h#3 (text+ko) ====

@@ -26,7 +26,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * $FreeBSD: src/lib/libstand/zalloc_defs.h,v 1.10 2001/10/15 13:50:47 robert Exp $
+ * $FreeBSD: src/lib/libstand/zalloc_defs.h,v 1.11 2002/07/20 04:18:20 peter Exp $
  */
 
 /*

==== //depot/projects/ia64/lib/libstand/zalloc_malloc.c#3 (text+ko) ====

@@ -28,7 +28,7 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/lib/libstand/zalloc_malloc.c,v 1.6 2001/09/30 22:28:01 dillon Exp $");
+__FBSDID("$FreeBSD: src/lib/libstand/zalloc_malloc.c,v 1.7 2002/07/20 04:18:20 peter Exp $");
 
 /*
  * MALLOC.C - malloc equivalent, runs on top of zalloc and uses sbrk
@@ -60,7 +60,7 @@
 #endif
 
 void *
-Malloc(size_t bytes, char *file, int line)
+Malloc(size_t bytes, const char *file, int line)
 {
     Guard *res;
 
@@ -94,7 +94,7 @@
 }
 
 void
-Free(void *ptr, char *file, int line)
+Free(void *ptr, const char *file, int line)
 {
     size_t bytes;
 
@@ -132,7 +132,7 @@
 
 
 void *
-Calloc(size_t n1, size_t n2, char *file, int line)
+Calloc(size_t n1, size_t n2, const char *file, int line)
 {
     iaddr_t bytes = (iaddr_t)n1 * (iaddr_t)n2;
     void *res;
@@ -154,7 +154,7 @@
  */
 
 void *
-Realloc(void *ptr, size_t size, char *file, int line)
+Realloc(void *ptr, size_t size, const char *file, int line)
 {
     void *res;
     size_t old;
@@ -184,7 +184,7 @@
 }
 
 void *
-Reallocf(void *ptr, size_t size, char *file, int line)
+Reallocf(void *ptr, size_t size, const char *file, int line)
 {
     void *res;
 

==== //depot/projects/ia64/sbin/Makefile#17 (text+ko) ====

@@ -1,5 +1,5 @@
 #	@(#)Makefile	8.5 (Berkeley) 3/31/94
-# $FreeBSD: src/sbin/Makefile,v 1.109 2002/07/17 01:46:47 dd Exp $
+# $FreeBSD: src/sbin/Makefile,v 1.110 2002/07/20 19:32:33 peter Exp $
 
 # XXX MISSING:		icheck ncheck
 

==== //depot/projects/ia64/sbin/gpt/Makefile#3 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD$
+# $FreeBSD: src/sbin/gpt/Makefile,v 1.1 2002/07/20 19:27:43 peter Exp $
 
 PROG=	gpt
 SRCS=	destroy.c gpt.c map.c migrate.c recover.c show.c

==== //depot/projects/ia64/sbin/gpt/destroy.c#2 (text+ko) ====

@@ -23,7 +23,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD$
+ * $FreeBSD: src/sbin/gpt/destroy.c,v 1.1 2002/07/20 19:27:43 peter Exp $
  */
 
 #include <sys/types.h>

==== //depot/projects/ia64/sbin/gpt/gpt.c#9 (text+ko) ====

@@ -27,7 +27,7 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD$");
+__FBSDID("$FreeBSD: src/sbin/gpt/gpt.c,v 1.1 2002/07/20 19:27:43 peter Exp $");
 
 #include <sys/param.h>
 #include <sys/types.h>

==== //depot/projects/ia64/sbin/gpt/gpt.h#6 (text+ko) ====

@@ -23,7 +23,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD$
+ * $FreeBSD: src/sbin/gpt/gpt.h,v 1.1 2002/07/20 19:27:43 peter Exp $
  */
 
 #ifndef _GPT_H_

==== //depot/projects/ia64/sbin/gpt/map.c#5 (text+ko) ====

@@ -23,7 +23,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD$
+ * $FreeBSD: src/sbin/gpt/map.c,v 1.1 2002/07/20 19:27:43 peter Exp $
  */
 
 #include <sys/types.h>

==== //depot/projects/ia64/sbin/gpt/map.h#3 (text+ko) ====

@@ -23,7 +23,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD$
+ * $FreeBSD: src/sbin/gpt/map.h,v 1.1 2002/07/20 19:27:43 peter Exp $
  */
 
 #ifndef _MAP_H_

==== //depot/projects/ia64/sbin/gpt/migrate.c#3 (text+ko) ====

@@ -23,7 +23,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD$
+ * $FreeBSD: src/sbin/gpt/migrate.c,v 1.1 2002/07/20 19:27:43 peter Exp $
  */
 
 #include <sys/types.h>

==== //depot/projects/ia64/sbin/gpt/mkdisk.sh#3 (text+ko) ====

@@ -1,4 +1,5 @@
 #!/bin/sh
+# $FreeBSD: src/sbin/gpt/mkdisk.sh,v 1.1 2002/07/20 19:27:43 peter Exp $
 
 dd if=/dev/zero of=disk count=125307
 sudo mdconfig -a -t vnode -f disk -u 4

==== //depot/projects/ia64/sbin/gpt/recover.c#2 (text+ko) ====

@@ -23,7 +23,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD$
+ * $FreeBSD: src/sbin/gpt/recover.c,v 1.1 2002/07/20 19:27:43 peter Exp $
  */
 
 #include <sys/types.h>

==== //depot/projects/ia64/sbin/gpt/show.c#2 (text+ko) ====

@@ -23,7 +23,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD$
+ * $FreeBSD: src/sbin/gpt/show.c,v 1.1 2002/07/20 19:27:43 peter Exp $
  */
 
 #include <sys/types.h>

==== //depot/projects/ia64/sbin/mca/Makefile#2 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD$
+# $FreeBSD: src/sbin/mca/Makefile,v 1.1 2002/07/20 19:31:11 peter Exp $
 PROG=	mca
 WARNS=	4
 NOMAN=	yes

==== //depot/projects/ia64/sbin/mca/mca.c#6 (text+ko) ====

@@ -25,7 +25,7 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD$");
+__FBSDID("$FreeBSD: src/sbin/mca/mca.c,v 1.1 2002/07/20 19:31:11 peter Exp $");
 
 #include <sys/types.h>
 #include <sys/mman.h>

==== //depot/projects/ia64/share/man/man4/syscons.4#3 (text+ko) ====

@@ -24,7 +24,7 @@
 .\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 .\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/share/man/man4/syscons.4,v 1.31 2002/01/21 12:09:13 mpp Exp $
+.\" $FreeBSD: src/share/man/man4/syscons.4,v 1.32 2002/07/20 09:25:55 schweikh Exp $
 .\"
 .Dd June 30, 1999
 .Dt SYSCONS 4
@@ -311,7 +311,7 @@
 Adds support for pixel (raster) mode console.
 This mode is useful on some laptop computers, but less so on
 most other systems, and it adds substantial amount of code to syscons.
-If the this option is NOT defined, you can reduce the kernel size a lot.
+If this option is NOT defined, you can reduce the kernel size a lot.
 See the
 .Dv VESA800X600
 flag below.

==== //depot/projects/ia64/sys/boot/efi/Makefile.inc#8 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/sys/boot/efi/Makefile.inc,v 1.4 2002/04/06 04:29:36 peter Exp $
+# $FreeBSD: src/sys/boot/efi/Makefile.inc,v 1.5 2002/07/20 03:52:37 peter Exp $
 
 # Options used when building app-specific efi components
 CFLAGS+=	-ffreestanding -Wformat

==== //depot/projects/ia64/sys/boot/efi/libefi/efinet.c#5 (text+ko) ====

@@ -23,7 +23,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * $FreeBSD: src/sys/boot/efi/libefi/efinet.c,v 1.3 2002/03/30 04:50:52 marcel Exp $
+ * $FreeBSD: src/sys/boot/efi/libefi/efinet.c,v 1.5 2002/07/20 03:52:18 peter Exp $
  */
 
 #include <sys/param.h>

==== //depot/projects/ia64/sys/boot/efi/loader/conf.c#5 (text+ko) ====

@@ -33,7 +33,7 @@
 
 #ifndef lint
 static const char rcsid[] =
-  "$FreeBSD: src/sys/boot/efi/loader/conf.c,v 1.6 2002/03/19 10:50:41 peter Exp $";
+  "$FreeBSD: src/sys/boot/efi/loader/conf.c,v 1.7 2002/07/20 03:46:43 peter Exp $";
 #endif /* not lint */
 
 #include <stand.h>

==== //depot/projects/ia64/sys/boot/efi/loader/main.c#4 (text+ko) ====

@@ -27,7 +27,7 @@
 
 #ifndef lint
 static const char rcsid[] =
-  "$FreeBSD: src/sys/boot/efi/loader/main.c,v 1.10 2002/03/30 07:32:08 marcel Exp $";
+  "$FreeBSD: src/sys/boot/efi/loader/main.c,v 1.11 2002/07/20 03:44:01 peter Exp $";
 #endif /* not lint */
 
 #include <stand.h>

==== //depot/projects/ia64/sys/conf/files.sparc64#16 (text+ko) ====

@@ -1,7 +1,7 @@
 # This file tells config what files go into building a kernel,
 # files marked standard are always included.
 #
-# $FreeBSD: src/sys/conf/files.sparc64,v 1.24 2002/07/19 08:03:14 obrien Exp $
+# $FreeBSD: src/sys/conf/files.sparc64,v 1.25 2002/07/20 08:16:51 peter Exp $
 #
 # The long compile-with and dependency lines are required because of
 # limitations in config: backslash-newline doesn't work in strings, and
@@ -17,7 +17,7 @@
 libkern/ffs.c			standard
 kern/subr_diskmbr.c		standard
 kern/syscalls.c			optional	ktr
-sparc64/ebus/ebus.c		count		ebus
+sparc64/ebus/ebus.c		optional	ebus
 sparc64/isa/isa.c		optional	isa
 sparc64/isa/ofw_isa.c		optional	ebus
 sparc64/isa/ofw_isa.c		optional	isa

==== //depot/projects/ia64/sys/ia64/ia64/nexus.c#4 (text+ko) ====

@@ -26,7 +26,7 @@
  * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * $FreeBSD: src/sys/ia64/ia64/nexus.c,v 1.4 2002/03/19 11:05:07 peter Exp $
+ * $FreeBSD: src/sys/ia64/ia64/nexus.c,v 1.5 2002/07/20 06:25:47 peter Exp $
  */
 
 /*
@@ -164,7 +164,7 @@
 	irq_rman.rm_start = 0;
 	irq_rman.rm_type = RMAN_ARRAY;
 	irq_rman.rm_descr = "Interrupt request lines";
-	irq_rman.rm_end = 63;
+	irq_rman.rm_end = 255;
 	if (rman_init(&irq_rman)
 	    || rman_manage_region(&irq_rman,
 				  irq_rman.rm_start, irq_rman.rm_end))

==== //depot/projects/ia64/sys/pccard/pccard.c#8 (text+ko) ====

@@ -29,7 +29,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD: src/sys/pccard/pccard.c,v 1.148 2002/06/23 01:55:10 imp Exp $
+ * $FreeBSD: src/sys/pccard/pccard.c,v 1.149 2002/07/20 18:59:58 imp Exp $
  */
 
 #include <sys/param.h>
@@ -555,7 +555,6 @@
 		break;
 	/*
 	 * Set the memory window to be used for the read/write interface.
-	 * Not available on the alpha.
 	 */
 	case PIOCRWMEM:
 		if (*(unsigned long *)data == 0) {

==== //depot/projects/ia64/sys/ufs/ffs/ffs_softdep_stub.c#6 (text+ko) ====

@@ -32,7 +32,7 @@
  * SUCH DAMAGE.
  *
  *	from: @(#)ffs_softdep_stub.c	9.1 (McKusick) 7/10/97
- * $FreeBSD: src/sys/ufs/ffs/ffs_softdep_stub.c,v 1.25 2002/07/19 07:29:38 mckusick Exp $
+ * $FreeBSD: src/sys/ufs/ffs/ffs_softdep_stub.c,v 1.26 2002/07/20 04:07:15 benno Exp $
  */
 
 /* 
@@ -164,9 +164,10 @@
 }
 
 void
-softdep_setup_freeblocks(ip, length)
+softdep_setup_freeblocks(ip, length, flags)
 	struct inode *ip;
 	off_t length;
+	int flags;
 {
 	
 	panic("softdep_setup_freeblocks called");

==== //depot/projects/ia64/sys/vm/vm_contig.c#6 (text+ko) ====

@@ -34,7 +34,7 @@
  * SUCH DAMAGE.
  *
  *	from: @(#)vm_page.c	7.4 (Berkeley) 5/7/91
- * $FreeBSD: src/sys/vm/vm_contig.c,v 1.10 2002/07/15 06:33:31 alc Exp $
+ * $FreeBSD: src/sys/vm/vm_contig.c,v 1.11 2002/07/20 06:11:16 alc Exp $
  */
 
 /*
@@ -111,9 +111,11 @@
 				vm_pageout_flush(&m_tmp, 1, 0);
 				return (TRUE);
 			}
+		} else if (m->busy == 0 && m->hold_count == 0) {
+			vm_page_lock_queues();
+			vm_page_cache(m);
+			vm_page_unlock_queues();
 		}
-		if ((m->dirty == 0) && (m->busy == 0) && (m->hold_count == 0))
-			vm_page_cache(m);
 	}
 	return (FALSE);
 }

==== //depot/projects/ia64/sys/vm/vm_fault.c#15 (text+ko) ====

@@ -66,7 +66,7 @@
  * any improvements or extensions that they make and grant Carnegie the
  * rights to redistribute these changes.
  *
- * $FreeBSD: src/sys/vm/vm_fault.c,v 1.145 2002/07/13 19:24:04 alc Exp $
+ * $FreeBSD: src/sys/vm/vm_fault.c,v 1.146 2002/07/20 19:34:21 alc Exp $
  */
 
 /*
@@ -444,6 +444,7 @@
 				else
 					firstpindex = fs.first_pindex - 2 * VM_FAULT_READ;
 
+				vm_page_lock_queues();
 				/*
 				 * note: partially valid pages cannot be 
 				 * included in the lookahead - NFS piecemeal
@@ -471,7 +472,7 @@
 						vm_page_cache(mt);
 					}
 				}
-
+				vm_page_unlock_queues();
 				ahead += behind;
 				behind = 0;
 			}

==== //depot/projects/ia64/sys/vm/vm_page.c#14 (text+ko) ====

@@ -34,7 +34,7 @@
  * SUCH DAMAGE.
  *
  *	from: @(#)vm_page.c	7.4 (Berkeley) 5/7/91
- * $FreeBSD: src/sys/vm/vm_page.c,v 1.197 2002/07/19 03:33:04 alc Exp $
+ * $FreeBSD: src/sys/vm/vm_page.c,v 1.198 2002/07/20 19:34:21 alc Exp $
  */
 
 /*
@@ -1412,7 +1412,7 @@
 {
 	int s;
 
-	GIANT_REQUIRED;
+	mtx_assert(&vm_page_queue_mtx, MA_OWNED);
 	if ((m->flags & (PG_BUSY|PG_UNMANAGED)) || m->busy || m->wire_count) {
 		printf("vm_page_cache: attempting to cache busy page\n");
 		return;

==== //depot/projects/ia64/sys/vm/vm_page.h#9 (text+ko) ====

@@ -61,7 +61,7 @@
  * any improvements or extensions that they make and grant Carnegie the
  * rights to redistribute these changes.
  *
- * $FreeBSD: src/sys/vm/vm_page.h,v 1.105 2002/07/18 04:08:10 alc Exp $
+ * $FreeBSD: src/sys/vm/vm_page.h,v 1.106 2002/07/20 05:06:20 alc Exp $
  */
 
 /*
@@ -337,8 +337,6 @@
 void vm_page_wakeup(vm_page_t m);
 
 void vm_pageq_init(void);
-struct vpgqueues *vm_pageq_aquire(int queue);
-void vm_pageq_release(struct vpgqueues *vpq);
 vm_page_t vm_pageq_add_new_page(vm_offset_t pa);
 void vm_pageq_enqueue(int queue, vm_page_t m);
 void vm_pageq_remove_nowakeup(vm_page_t m);

==== //depot/projects/ia64/sys/vm/vm_pageout.c#11 (text+ko) ====

@@ -65,7 +65,7 @@
  * any improvements or extensions that they make and grant Carnegie the
  * rights to redistribute these changes.
  *
- * $FreeBSD: src/sys/vm/vm_pageout.c,v 1.197 2002/06/29 17:26:22 julian Exp $
+ * $FreeBSD: src/sys/vm/vm_pageout.c,v 1.199 2002/07/20 19:34:21 alc Exp $
  */
 
 /*
@@ -792,7 +792,9 @@
 		 * effectively frees them.
 		 */
 		} else if (m->dirty == 0) {
+			vm_page_lock_queues();
 			vm_page_cache(m);
+			vm_page_unlock_queues();
 			--page_shortage;
 		} else if ((m->flags & PG_WINATCFLS) == 0 && pass == 0) {
 			/*
@@ -961,6 +963,7 @@
 		cnt.v_inactive_target - cnt.v_inactive_count;
 	page_shortage += addl_page_shortage;
 
+	vm_page_lock_queues();
 	/*
 	 * Scan the active queue for things we can deactivate. We nominally
 	 * track the per-page activity counter and use it to locate
@@ -1045,7 +1048,7 @@
 		}
 		m = next;
 	}
-
+	vm_page_unlock_queues();
 	s = splvm();
 
 	/*
@@ -1216,7 +1219,7 @@
 		return;
 
 	s0 = splvm();
-
+	vm_page_lock_queues();
 	pcount = cnt.v_active_count;
 	fullintervalcount += vm_pageout_stats_interval;
 	if (fullintervalcount < vm_pageout_full_stats_interval) {
@@ -1280,6 +1283,7 @@
 
 		m = next;
 	}
+	vm_page_unlock_queues();
 	splx(s0);
 }
 

==== //depot/projects/ia64/sys/vm/vm_pageq.c#6 (text+ko) ====

@@ -2,7 +2,7 @@
  *	(c)Copyright 1998, Matthew Dillon.  Terms for use and redistribution
  *	are covered by the BSD Copyright as found in /usr/src/COPYRIGHT.
  *
- * $FreeBSD: src/sys/vm/vm_pageq.c,v 1.6 2002/07/18 17:40:07 alc Exp $
+ * $FreeBSD: src/sys/vm/vm_pageq.c,v 1.7 2002/07/20 05:06:20 alc Exp $
  */
 
 #include <sys/param.h>
@@ -24,7 +24,6 @@
 #include <vm/vm_extern.h>
 
 struct vpgqueues vm_page_queues[PQ_COUNT];
-static struct mtx vm_pageq_mtx[PQ_COUNT];
 
 void
 vm_pageq_init(void) 
@@ -43,33 +42,21 @@
 
 	for (i = 0; i < PQ_COUNT; i++) {
 		TAILQ_INIT(&vm_page_queues[i].pl);
-		mtx_init(&vm_pageq_mtx[i], "vm pageq mutex", NULL, MTX_DEF);
 	}
 }
 
-struct vpgqueues *
+static __inline struct vpgqueues *
 vm_pageq_aquire(int queue)
 {
 	struct vpgqueues *vpq = NULL;
 
 	if (queue != PQ_NONE) {
 		vpq = &vm_page_queues[queue];
-#if 0
-		mtx_lock(&vm_pageq_mtx[queue]);
-#endif
 	}
 	return (vpq);
 }
 
 void
-vm_pageq_release(struct vpgqueues *vpq)
-{
-#if 0
-	mtx_unlock(&vm_pageq_mtx[vpq - &vm_page_queues[0]]);
-#endif
-}
-
-void
 vm_pageq_requeue(vm_page_t m)
 {
 	int queue = m->queue;
@@ -78,7 +65,6 @@
 	vpq = vm_pageq_aquire(queue);
 	TAILQ_REMOVE(&vpq->pl, m, pageq);
 	TAILQ_INSERT_TAIL(&vpq->pl, m, pageq);
-	vm_pageq_release(vpq);
 }
 

>>> TRUNCATED FOR MAIL (1000 lines) <<<

To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe p4-projects" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?200207201951.g6KJppYJ000275>